#include<iostream>
#include<fstream>
#include<cmath>
#include<iomanip>
using namespace std;
int main()
{
	ifstream fi("PT2.INP");
	float a,b,c;
	fi>>a>>b>>c;
	fi.close();
	ofstream fo("PT2.OUT");
	if(a==0 && b==0)
	{
		if(c==0){fo<<"YES";}
		else if (c!=0){fo<<"NO";}
	}
	else if(a==0 && b!=0)
	{
		fo.setf(ios::fixed);
		fo.setf(ios::showpoint);
		fo.precision(2);
		fo<<-c/b;
	}
	else if(a!=0)
	{
		float x,y,delta;
		delta=b*b-4*a*c;
		if(delta==0)
		{
			fo<<-b/2*a;
		}
		else if(delta<0)
		{
			fo<<"NO";
		}
		else
		{
			x=(-b+sqrt(delta))/2*a;
			y=(-b-sqrt(delta))/2*a;
            fo<<x<<' '<<y;
		}
	}
}
